Page MenuHomePhabricator

[ASTImporter] Added visibility context check for EnumDecl.
ClosedPublic

Authored by balazske on May 27 2019, 6:08 AM.

Details

Summary

ASTImporter makes now difference between enums with same name in different translation
units if these are not visible outside.
("Scoped enums" are not handled yet.)

Diff Detail

Repository
rL LLVM

Event Timeline

balazske created this revision.May 27 2019, 6:08 AM
a_sidorin accepted this revision.Jul 7 2019, 3:22 PM

LGTM!

This revision is now accepted and ready to land.Jul 7 2019, 3:22 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 9 2019, 4:11 AM